import EslintDisableTask from './tasks/eslint-disable-task.js';
import EslintSummaryTask from './tasks/eslint-summary-task.js';
import OutdatedDependencyTask from './tasks/outdated-dependencies-task.js';
import LinesOfCodeTask from './tasks/lines-of-code-task.js';
import ValidEsmPackageTask from './tasks/valid-esm-package-task.js';
import { evaluateActions as evaluateESLintDisables } from './actions/eslint-disable-actions.js';
import { evaluateActions as evaluateESLintSummary } from './actions/eslint-summary-actions.js';
import { evaluateActions as evaluateOutdatedDependencies } from './actions/outdated-dependency-actions.js';
declare const _default: {
    tasks: {
        'eslint-summary': typeof EslintSummaryTask;
        'eslint-disables': typeof EslintDisableTask;
        'outdated-dependencies': typeof OutdatedDependencyTask;
        'lines-of-code': typeof LinesOfCodeTask;
        'valid-esm-package': typeof ValidEsmPackageTask;
    };
    actions: {
        'eslint-disables': typeof evaluateESLintDisables;
        'eslint-summary': typeof evaluateESLintSummary;
        'outdated-dependencies': typeof evaluateOutdatedDependencies;
    };
};
export default _default;
//# sourceMappingURL=index.d.ts.map